# Class BCF2GenotypeFieldDecoders

java.lang.Object
htsjdk.variant.bcf2.BCF2GenotypeFieldDecoders

public class BCF2GenotypeFieldDecoders extends Object
An efficient scheme for building and obtaining specialized genotype field decoders. Used by the BCFCodec to parse with little overhead the fields from BCF2 encoded genotype records

Since:
  6/12

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`BCF2GenotypeFieldDecoders.Decoder`
Decoder a field (implicit from creation) encoded as typeDescriptor in the decoder object in the GenotypeBuilders one for each sample in order.

## Constructor Summary

Constructors
Constructor
Description
`BCF2GenotypeFieldDecoders(VCFHeader header)`

## Method Summary

Modifier and Type
Method
Description
`BCF2GenotypeFieldDecoders.Decoder`
`getDecoder(String field)`
Return decoder appropriate for field, or the generic decoder if no specialized one is bound

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BCF2GenotypeFieldDecoders

public BCF2GenotypeFieldDecoders(VCFHeader header)

## Method Details

### getDecoder

public BCF2GenotypeFieldDecoders.Decoder getDecoder(String field)
Return decoder appropriate for field, or the generic decoder if no specialized one is bound

Parameters:
  `field` - the GT field to decode
Returns:
  a non-null decoder